local sx, sy = guiGetScreenSize()

local size = 32

local red, green, blue, alpha = 0, 105, 205, 255
local cursorX, cursorY = 0, 0
local clicked = false

showPlayerHudComponent("crosshair", false)

addCommandHandler("csettings", function()
    addEventHandler("onClientRender", root, drawCrosshairSettings)
    showCursor(true)
    clicked = false
end)

function drawCrosshair() 
    local hX,hY,hZ = getPedTargetEnd ( getLocalPlayer() )
    local screenX1, screenY1 = getScreenFromWorldPosition ( hX,hY,hZ )
    dxDrawImage(screenX1-(size/2), screenY1-(size/2), size, size, "img/crosshair.png", 0,0,0, tocolor(red,green,blue,alpha))
end 

bindKey("aim_weapon", "both", function(key, state)        
    local weapon = getPlayerWeapon(getLocalPlayer())
    if weapon ~= 0 and weapon ~=1 then
        if state == "down" then 
            addEventHandler("onClientRender", root, drawCrosshair)
        else
            removeEventHandler("onClientRender", root, drawCrosshair) 
        end 
    end
end)

function drawCrosshairSettings()
    if isCursorShowing() then
        local cursorX, cursorY = getCursorPosition()
        cursorX, cursorY = cursorX*sx, cursorY*sy
        
        dxDrawImage(sx/2-350/2, sy/2-500/2, 350, 500, "img/settingsBG.png")
        --Draw Selectors
        dxDrawImage(sx/2-265/2, sy/2-150, 265, 40, "img/selectorRed.png")
        dxDrawImage(sx/2-265/2, sy/2-100, 265, 40, "img/selectorGreen.png")
        dxDrawImage(sx/2-265/2, sy/2-50, 265, 40, "img/selectorBlue.png")
        dxDrawImage(sx/2-265/2, sy/2+130, 265, 40, "img/selectorAlpha.png")
        
        dxDrawImage(sx/2-265/2+5+red-1, sy/2-145, 3, 30, "img/selector.png")
        dxDrawImage(sx/2-265/2+5+green-1, sy/2-95, 3, 30, "img/selector.png")
        dxDrawImage(sx/2-265/2+5+blue-1, sy/2-45, 3, 30, "img/selector.png")
        dxDrawImage(sx/2-265/2+5+alpha-1, sy/2+135, 3, 30, "img/selector.png")
        
        dxDrawImage(sx/2-100/2, sy/2+10, 100, 100, "img/crosshair.png", 0,0,0, tocolor(red,green,blue,alpha))
        
        if cursorX >= sx/2-265/2 and cursorX <= sx/2+255/2 and cursorY >= sy/2+180 and  cursorY <=  sy/2+180+30 then
            dxDrawImage(sx/2-265/2+5, sy/2+180, 255, 30, "img/save_h.png")
        else
            dxDrawImage(sx/2-265/2+5, sy/2+180, 255, 30, "img/save.png")
        end
        
        if clicked then
            if cursorX >= sx/2-255/2 and cursorX <= sx/2+255/2 and cursorY >= sy/2-145 and  cursorY <=  sy/2-145+30 then
                red = cursorX-sx/2-255/2+255
            end
            
            if cursorX >= sx/2-255/2 and cursorX <= sx/2+255/2 and cursorY >= sy/2-95 and  cursorY <=  sy/2-95+30 then
                green = cursorX-sx/2-255/2+255
            end
            
            if cursorX >= sx/2-255/2 and cursorX <= sx/2+255/2 and cursorY >= sy/2-45 and  cursorY <=  sy/2-45+30 then
                blue = cursorX-sx/2-255/2+255
            end
            
            if cursorX >= sx/2-255/2 and cursorX <= sx/2+255/2 and cursorY >= sy/2+130 and  cursorY <=  sy/2+130+30 then
                alpha = cursorX-sx/2-255/2+255
            end
           
           if cursorX >= sx/2-265/2 and cursorX <= sx/2+255/2 and cursorY >= sy/2+180 and  cursorY <=  sy/2+180+30 then
                removeEventHandler("onClientRender", root, drawCrosshairSettings)
                showCursor(false)
                clicked = false
            end
        end
    end
end

addEventHandler("onClientClick", root, function(button, state)
    if button == "left" and state == "down" then
        clicked = true
    else
        clicked = false
    end
end)